Bug 427022 - gtk-config --cflags reports incorrect header location for gtk
gtk-config --cflags reports incorrect header location for gtk
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-12-30 01:07 EST by Brandon Barker
Modified: 2008-01-12 13:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-12 13:21:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brandon Barker 2007-12-30 01:07:32 EST
Description of problem:
gtk-config --cflags reports incorrect header location for gtk

Version-Release number of selected component (if applicable):

How reproducible:
bash-3.2# gtk-config --cflags
-I/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib64/glib/include

The first include should be -I/usr/include/gtk-1.2
Comment 1 Rex Dieter 2008-01-11 16:10:30 EST
worksforme on x86_64, but i386 is buggy.  Wacky wierd.

Taking a closer look.
Comment 2 Rex Dieter 2008-01-11 16:12:13 EST
Arg, only happens when installing *only* gtk+-devel.i386 on a x86_64 box.

Native gtk+-devel.x86_64 worksforme.
Comment 3 Rex Dieter 2008-01-11 17:01:52 EST
I'm going to mark this closed->worksforme (using native packages or *both* i386
+ x86_64).

Note You need to log in before you can comment on or make changes to this bug.